<?php
namespace Bushelpowered\Api\Quoting\V1\Request;
        
class UpsertLineItemRequest 
{
    /** @var null|string $id The id of the record to update, will be created if null*/
    public ?string $id = null;
    /** @var \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory $category */
    public \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory $category;
    /** @var null|string $productId The UUID of the product*/
    public ?string $productId = null;
    /** @var string $productName The name of the product*/
    public string $productName;
    /** @var int $quantity The quantity of the product*/
    public int $quantity;
    /** @var string $uom The unit of measure for the quantity*/
    public string $uom;
    /** @var float $price The price of the product*/
    public float $price;

    /**
     * @param  null|string  $id The id of the record to update, will be created if null
     * @param  \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory  $category 
     * @param  null|string  $productId The UUID of the product
     * @param  string  $productName The name of the product
     * @param  int  $quantity The quantity of the product
     * @param  string  $uom The unit of measure for the quantity
     * @param  float  $price The price of the product
     */
    public function __construct(?string $id, \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory $category, ?string $productId, string $productName, int $quantity, string $uom, float $price)
    {
        $this->id = $id;
        $this->category = $category;
        $this->productId = $productId;
        $this->productName = $productName;
        $this->quantity = $quantity;
        $this->uom = $uom;
        $this->price = $price;
    }
    

}